package com.ruoyi.framework.websocket.redisWebsocket;

import com.alibaba.fastjson2.JSON;
import com.ruoyi.common.constant.RedisConstant;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.data.redis.core.RedisTemplate;
import org.springframework.stereotype.Service;

/**
 * @author
 */
@Service
public class WebSocketServerImpl implements WebsocketService {

    @Autowired
    RedisTemplate<String,String> redisTemplate;

    @Override
    public void sendMessageAll(String projectId ,String message) {
        SendMsgAll sendMsgAll = new SendMsgAll();
        sendMsgAll.setProjectId(projectId);
        sendMsgAll.setMsg(message);
        redisTemplate.convertAndSend(RedisConstant.SYS_TOPIC, JSON.toJSONString(sendMsgAll));

    }

    @Override
    public void sendMessageById(String projectId,String userId, String message) {
        SendMsg sendMsg = new SendMsg();
        sendMsg.setProjectId(projectId);
        sendMsg.setUserId(userId);
        sendMsg.setMsg(message);
        redisTemplate.convertAndSend(RedisConstant.SYS_USER_TOPIC,JSON.toJSONString(sendMsg));
    }
}
